var _a;
import i18next from 'i18next';
import { AuthDictionaries } from './AuthDictionaries';
import { SharedDictionaries } from '../SharedDictionaries';
const locale = 'en';
// Platform.OS === 'ios'
//     ? NativeModules.SettingsManager.settings.AppleLocale
//     : NativeModules.I18nManager.localeIdentifier;
export const i18nAuthInstance = i18next.createInstance({
    lng: (_a = locale === null || locale === void 0 ? void 0 : locale.substring(0, 2)) !== null && _a !== void 0 ? _a : 'en',
    fallbackLng: 'en',
    ns: ['bluiAuth', 'bluiCommon'],
    defaultNS: 'bluiAuth',
    load: 'languageOnly',
    react: { useSuspense: false },
    interpolation: { escapeValue: false },
    resources: {
        en: {
            bluiAuth: Object.assign({}, AuthDictionaries.english.translation),
            bluiCommon: Object.assign({}, SharedDictionaries.english.translation),
        },
        fr: {
            bluiAuth: Object.assign({}, AuthDictionaries.french.translation),
            bluiCommon: Object.assign({}, SharedDictionaries.french.translation),
        },
        es: {
            bluiAuth: Object.assign({}, AuthDictionaries.spanish.translation),
            bluiCommon: Object.assign({}, SharedDictionaries.spanish.translation),
        },
        zh: {
            bluiAuth: Object.assign({}, AuthDictionaries.chinese.translation),
            bluiCommon: Object.assign({}, SharedDictionaries.chinese.translation),
        },
        pt: {
            bluiAuth: Object.assign({}, AuthDictionaries.portuguese.translation),
            bluiCommon: Object.assign({}, SharedDictionaries.portuguese.translation),
        },
    },
}, 
// We must provide a function as second parameter, otherwise i18next errors
// eslint-disable-next-line @typescript-eslint/no-unused-vars
(err, _t) => {
    // eslint-disable-next-line no-console
    if (err)
        return console.log(err);
});
export default { i18nAuthInstance };
