import { useContext } from 'react';
import { AuthContext } from './context';
import i18nAuthInstance from './i18nAuthInstance';
import { AuthContextProvider } from './provider';
import { AuthDictionaries } from './AuthDictionaries';
/**
 * Hook to get top level data in authentication workflow
 *
 * @category Hooks
 * @private
 * @internal
 */
export const useAuthContext = () => {
    const context = useContext(AuthContext);
    if (context === null) {
        throw new Error('useAuthContext must be used within AuthContextProvider');
    }
    return context;
};
export { AuthContext, AuthContextProvider, i18nAuthInstance, AuthDictionaries };
