import { useContext } from 'react';
import { ErrorContext } from './context';
import { ErrorContextProvider } from './provider';
import { useErrorManager } from './useErrorManager';
/**
 * Hook to get top level error data
 *
 * @category Hooks
 * @private
 * @internal
 */
export const useErrorContext = () => {
    const context = useContext(ErrorContext);
    if (context === null) {
        throw new Error('useErrorContext must be used within ErrorContextProvider');
    }
    return context;
};
export { ErrorContext, ErrorContextProvider, useErrorManager };
