import { RegistrationContext } from './context';
import i18nRegistrationInstance from './i18nRegistrationInstance';
import { RegistrationContextProvider } from './provider';
import { RegistrationDictionaries } from './RegistrationDictionaries';
import { useContext } from 'react';
/**
 * Hook to get the data of each registration workflow screen
 *
 * @category Hooks
 * @private
 * @internal
 */
export const useRegistrationContext = () => {
    const context = useContext(RegistrationContext);
    if (context === null) {
        throw new Error('useRegistrationContext must be used within an RegistrationContextProvider');
    }
    return context;
};
export { RegistrationContext, RegistrationContextProvider, i18nRegistrationInstance, RegistrationDictionaries };
