import React from 'react';
import { WorkflowCard, WorkflowCardHeader, WorkflowCardBody, SetPassword, WorkflowCardActions, ErrorManager, } from '../../components';
import { SuccessScreenBase } from '../SuccessScreen';
/**
 * Component that renders a ResetPassword screen that allows a user to reset their password and shows a success message upon a successful password reset..
 *
 * @param {ResetPasswordScreenProps} props - props for Reset Password Screen Base component.
 *
 * @category Component
 *
 */
export const ResetPasswordScreenBase = (props) => {
    const cardBaseProps = props.WorkflowCardBaseProps || {};
    const headerProps = props.WorkflowCardHeaderProps || {};
    const cardBodyProps = props.WorkflowCardBodyProps || {};
    const actionsProps = props.WorkflowCardActionsProps || {};
    const passwordProps = props.PasswordProps || { onPasswordChange: () => { } };
    const { showSuccessScreen, SuccessScreen, SuccessScreenProps: successScreenProps, errorDisplayConfig } = props;
    const getSuccessScreen = (_props, _successScreen) => (_successScreen ? _successScreen(_props) : React.createElement(SuccessScreenBase, Object.assign({}, _props)));
    return (React.createElement(React.Fragment, null, showSuccessScreen ? (getSuccessScreen(successScreenProps !== null && successScreenProps !== void 0 ? successScreenProps : {}, SuccessScreen)) : (React.createElement(WorkflowCard, Object.assign({}, cardBaseProps),
        React.createElement(WorkflowCardHeader, Object.assign({}, headerProps)),
        React.createElement(WorkflowCardBody, Object.assign({}, cardBodyProps),
            React.createElement(ErrorManager, Object.assign({}, errorDisplayConfig),
                React.createElement(SetPassword, Object.assign({}, passwordProps)))),
        React.createElement(WorkflowCardActions, Object.assign({}, actionsProps))))));
};
